RPC.NFSD(8)

NOM
rpc.nfsd - Processus serveur NFS

SYNOPSIS
/usr/sbin/rpc.nfsd [options] nproc

DESCRIPTION
Le programme rpc.nfsd implémente la partie utilisateur du service NFS. Le service NFS est traité par le module du noyau nfsd.o ; le programme qui s'exécute dans l'espace utilisateur (et non dans l'espace noyau) se contente (!) de lancer un certain nombre de threads systèmes (c'est-à-dire que plusieurs contextes d'exécution existent dans le noyau).

Le serveur rpc.mountd fournit un ancien service nécessaire pour satisfaire les requêtes de montage des clients NFS.

OPTIONS

-H, --host hostname
    Spécifier un nom d'hôte (ou une adresse) particulier que les requêtes NFS accepteront. Par défaut, rpc.nfsd acceptera les requêtes NFS de toutes les adresses réseau connues. Notez que lockd (qui effectue les verrouillages de fichiers pour NFS) peut encore accepter les requêtes NFS de toutes les adresses réseau connues. Cela peut changer dans de futures versions du noyau Linux.

-p, --port port
    Spécifier un port différent pour écouter les requêtes NFS. Par défaut, rpc.nfsd écoute le port 2049.

-N, --no-nfs-version vers
    Cette option peut être utilisée pour demander à rpc.nfsd de ne pas offrir certaines versions de NFS. La version actuelle de rpc.nfsd gère les versions 2, 3 et 4 de NFS.

-T, --no-tcp
    Ne pas accepter les connexions TCP des clients.

-U, --no-udp
    Ne pas accepter les connexions UDP des clients.

nproc
    spécifie le nombre de threads du serveur NFS. Par défaut, seul un thread est lancé. Toutefois, pour des performances optimales, plusieurs threads peuvent être lancés. Le nombre optimal dépend du nombre de threads et de la charge dûe aux clients NFS, mais une bonne valeur est 8 threads. Le programme nfsstat(8) permet d'observer les effets d'une modification de cette valeur.

Notez que si le serveur NFS est en cours d'exécution, les options spécifiant l'hôte, le port et le protocole seront ignorées. Le nombre de processus fournis sera la seule option prise en compte et le nombre de processus nfsd actifs sera augmenté ou diminué pour correspondre à ce nombre. En particulier, rpc.nfsd 0 arrêtera tous les threads et fermera ainsi toutes les connexions ouvertes.

AUTEUR
Olaf Kirch, Bill Hawes, H. J. Lu, G. Allan Morris III, et quelques autres.

VOIR AUSSI
exportfs(8), nfsstat(8), rpc.mountd(8), rpc.rquotad(8)

TRADUCTION

Ce document est une traduction réalisée par Thierry Vignaud <tvignaud AT mandriva DOT com> en 2000, mise à jour par Alain Portal <aportal AT univ-montp2 DOT fr> le 1er septembre 2006 et révisée le 19 novembre 2007.

L'équipe de traduction a fait le maximum pour réaliser une adaptation française de qualité. La version anglaise la plus à jour de ce document est toujours consultable via la commande : « LANG=C man 8 rpc.nfsd ». N'hésitez pas à signaler à l'auteur ou au traducteur, selon le cas, toute erreur dans cette page de manuel.